Bug 218834 - [PATCH] Update mail/mutt to use VVV's 1.8.2 patches
Summary: [PATCH] Update mail/mutt to use VVV's 1.8.2 patches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alex Kozlov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-23 20:54 UTC by Derek Schrock
Modified: 2017-05-13 14:32 UTC (History)
1 user (show)

See Also:
dereks: maintainer-feedback+


Attachments
Update VVV's patch version to 1.8.2 (2.76 KB, patch)
2017-04-23 20:54 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2017-04-23 20:54:08 UTC
Created attachment 182028 [details]
Update VVV's patch version to 1.8.2

VVV's patches were updated to 1.8.2
Comment 1 Alex Kozlov freebsd_committer 2017-05-03 08:52:38 UTC
It seems that upstream for patch-1.5.1.dgc.deepif disappeared and patch itself applies with a big fuzz. Do you mind if I move it to local patches and rebase it? I also plan to do the same with other fuzzed patches.
Comment 2 Derek Schrock 2017-05-03 22:53:19 UTC
Yeah, I noticed this a couple weeks ago however all attempts to see if David Champion is hosting the patch at a different location (outside of archive.org's uchicago.edu) appear to have failed.

I believe bringing this patch back as a local patch is the best bet for now.  So yes please rebase it to 1.8.2 and I'll maintain it going forward.

However, what other patches are applying with fuzz?  Outside of vvv's all the other patches should apply with the exception of offset changes.
Comment 3 Alex Kozlov freebsd_committer 2017-05-13 14:23:16 UTC
Yes, I mean offsets. Some of them are inevitable, but I've fixed an easy ones.
Sorry for the delay, I've tried to contact with dgc-deepif patch author, but it seems there is no other choice but to move it into the port.
Comment 4 commit-hook freebsd_committer 2017-05-13 14:31:52 UTC
A commit references this bug:

Author: ak
Date: Sat May 13 14:31:31 UTC 2017
New revision: 440847
URL: https://svnweb.freebsd.org/changeset/ports/440847

Log:
  - Update VVV's patches to 1.8.2 [1]
  - Move dgc-deepif patch into the port as upstream disappeared
  - Rebase patches to eliminate offset when possible
  - Remove unused extra-patch-pgp-dw

  PR:	218834 [1]
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)
  Approved by:	dereks@lifeofadishwasher.com (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/extra-patch-doc-ref
  head/mail/mutt/files/extra-patch-pgp-dw
  head/mail/mutt/files/patch-dgc-deepif
  head/mail/mutt/files/patch-doc_Muttrc
  head/mail/mutt/files/patch-muttlib.c
  head/mail/mutt/files/patch-smime-self